# [go-ipfs/cmd/ipfs](http://github.com/ipfs/go-ipfs/tree/master/cmd/ipfs)

![](https://raw.githubusercontent.com/ipfs/logo/master/ipfs-logo-text-256-ice.png)

This is the ipfs commandline tool. For now, it's the main entry point to using IPFS.


## Install from source

```
go install
ipfs
```

## Install from [gobuilder.me](https://gobuilder.me/)

If you're viewing this in [gobuilder](https://gobuilder.me/github.com/ipfs/go-ipfs/cmd/ipfs), chose the binary that suits you best at the end of this page. Download it, unzip it, and move the binary into place.

## Usage

```sh
# initialize an ipfs node
ipfs init

# list some commands
ipfs

# get help
ipfs <subcmd> --help
```
